#!/bin/sh

cd `dirname $0`

DBUSER=dnpwml
DBNAME=dnpwmldb
DBSERVER=127.0.0.1

if [ ! -d log ]; then
    mkdir log
fi ;

SQLF=./log/_update.sql
LOGF=./log/error.log

# ----------------------------------------
# create update.sql
# ----------------------------------------

echo "" > ${SQLF}
cat ./v31r10_v33r10/update.sql >> ${SQLF}

# ----------------------------------------
# execute update.sql
# ----------------------------------------

psql -U ${DBUSER} -h ${DBSERVER} -q -f ${SQLF} -v ON_ERROR_STOP=on ${DBNAME} > $LOGF 2>&1
EXITC=$?
if [ $EXITC -ne 0 ]; then
    cat $LOGF
    echo "ERROR."
    exit 1
fi

exit 0;

